h1 {
	margin: 0;
	font: 24px verdana,arial,helvetica;
	font-weight: bold;
}

p {
	margin: 0;
	padding: 0;
	font: 13px verdana,arial,helvetica;
}



/*.contentcontainer {
	margin: 20px;
	padding: 20px;
	background-color: rgb(255, 255, 255);
	border-radius: 10px;
}*/

/*@media screen and (max-width: 600px)
{
	.contentcontainer {
		margin: 10px;
		padding: 10px;
	}
}*/

html {
	height: 100%;
}

body {
	height: 100%;
	margin: 0px 0px 20px 0px;
}

main {
	height: 100%;
	max-width: 1000px;
	margin: auto;
}

#main_player {
	display: flex;
	flex-direction: column;
	font-family: Arial, sans-serif;
}

#topmenu {
	height: 48px;
	display: flex;
	background: #000;
	box-shadow: 0px 0px 15px 5px;
    z-index: 10;
	border-bottom: 1px solid #888;
}

#logo {
	flex: 1;
	background-image: url(/resources/logo512.png);
    background-repeat: no-repeat;
    background-position: left;
    background-size: contain;
}
#button_share {
	width: 48px;
	height: 48px;
	padding: 0;
    border: 0;
	background-color: unset;
	background-image: url(/resources/share512.png);
    background-size: contain;
}
#show_tracklist:disabled ~ #topmenu > #button_share {
	opacity: 0.5;
}

#sharedialog {
	display: flex;
	flex-direction: column;
	width: 200px;

	margin: 0;
	padding: 10px;
    position: fixed;
    left: 50%;
    top: -20%;
    transform: translate(-50%, -50%);
	transition: top ease-in 0.3s;

	z-index: 20;
}
#sharedialog[open] {
	top: 20%;
	transition: top ease-out 0.3s;
}
#sharedialog::backdrop {
	background: rgba(0, 0, 0, 0.5);
}

#stationlistcontainer {
	flex: 1;
	transition: flex 0.5s;
	overflow: scroll;
	background: #000;
}
#stationlist {
	padding: 5px;
	display: grid;
    grid-template-columns: repeat(auto-fill, minmax(170px, 1fr));
    gap: 5px;
    justify-content: center;
}
#show_tracklist:checked ~ #stationlistcontainer {
	flex: 0;
}

#stationlist .stationbox {
	background: #007bff;
    padding-bottom: 100%;
    position: relative;

	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
}
#stationlist .stationbox .stationinfobox {
	position: absolute;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: #00000080;
}
#stationlist .stationbox .stationinfobox .stationname {
	padding: 3px 6px 0px 6px;
    color: #fff;
    font-size: 22px;
    font-family: sans-serif;
	text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}
#stationlist .stationbox .stationinfobox .stationinfo {
	padding: 0px 6px 3px 6px;
    color: #fff;
    font-size: 16px;
    font-family: sans-serif;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

#playercontrol {
	overflow: hidden;
	display: flex;
	background: linear-gradient(to bottom, #383838, #303030 50%, #202020 50%, #111111);
	z-index: 20;
}
#trackname {
	color: #fff;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}
#trackartist {
	color: #fff;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}

#playerbuttons {
	background-color: #000;
	transition: translate 0.5s;
	overflow: hidden;
    display: flex;
}
#show_tracklist:checked ~ #playercontrol > #playerbuttons {
	translate: 100%;
}
#playerbuttons button {
	margin-left: 1px;
	background-repeat: no-repeat !important;
    background-position: center !important;
    background-size: contain !important;
	border: unset;
}
#button_prev {
	width: 52px;
	background: url(/resources/prev.png), linear-gradient(to bottom, #383838, #303030 50%, #202020 50%, #111111);
}
#button_prev:hover {
	background: url(/resources/prev.png), linear-gradient(to bottom, #4b4b4b, #424242 50%, #333333 50%, #202020);
	cursor: pointer;
}
#button_prev:active {
	background: url(/resources/prev.png), linear-gradient(to bottom, #007246, #025338 50%, #003621 50%, #011610);
}

#button_play {
	width: 68px;
	background: url(/resources/playpause.png), linear-gradient(to bottom, #383838, #303030 50%, #202020 50%, #111111);
}
#button_play:hover {
	background: url(/resources/playpause.png), linear-gradient(to bottom, #4b4b4b, #424242 50%, #333333 50%, #202020);
	cursor: pointer;
}
#button_play:active {
	background: url(/resources/playpause.png), linear-gradient(to bottom, #2e2e2e, #1d1d1d 50%, #1b1b1b 50%, #0a0a0a);
}
#button_play.active {
	background: url(/resources/playpause.png), linear-gradient(to bottom, #00804F, #025F40 50%, #004128 50%, #012219);
}
#button_play:hover.active {
	background: url(/resources/playpause.png), linear-gradient(to bottom, #00965c, #02704c 50%, #005534 50%, #023326);
	cursor: pointer;
}
#button_play:active.active {
	background: url(/resources/playpause.png), linear-gradient(to bottom, #007246, #025338 50%, #003621 50%, #011610);
}

#button_next {
	width: 52px;
	background: url(/resources/next.png), linear-gradient(to bottom, #383838, #303030 50%, #202020 50%, #111111);
}
#button_next:hover {
	background: url(/resources/next.png), linear-gradient(to bottom, #4b4b4b, #424242 50%, #333333 50%, #202020);
	cursor: pointer;
}
#button_next:active {
	background: url(/resources/next.png), linear-gradient(to bottom, #007246, #025338 50%, #003621 50%, #011610);
}

#trackinfo {
	overflow: hidden;
	flex: 1;
	padding: 5px 10px;
}

#show_tracklist {
	display: none;
}

#tracklistcontainer {
	flex: 0;
	display: flex;
	flex-direction: column;
	transition: flex 0.5s;
	overflow: hidden;
}
#show_tracklist:checked ~ #tracklistcontainer {
	flex: 1;
}
#tracklistbackground {
	flex: 1;
	/*padding: 11px;*/
    overflow: auto;
    background-size: cover;
    background-position: center;
}
#tracklist {
	padding: 5px 5px 0px 5px;
	backdrop-filter: blur(20px);
	background-color: rgb(0, 0, 0, 0.3);
}
#tracklist .trackbox {
	margin: 0px 0px 5px 0px;

	/*margin: -1px;*/
	padding: 5px;
	/*border: 1px solid #000;*/

	display: grid;
	grid-template-columns: auto 1fr;
	gap: 10px;

	color: #fff;
	transition: background-color 0.3s;
	border-radius: 5px;
	background-color: rgb(255, 255, 255, 0.15);
}
#tracklist .trackbox.playing {
	position: relative;
	margin: -2px -2px 3px -2px;
    background-color: rgb(0, 0, 0, 0.10);
    border: 2px #fff dashed;
}
#tracklist .trackbox.playing:before {
	margin: 3px;
	content: '';
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	width: var(--playing-width);
	background: rgba(255, 255, 255, 0.4);
	border-radius: 4px;
	pointer-events: none;
}

#tracklist .trackbox .tracktime {
	white-space: nowrap;
}
#tracklist .trackbox .trackinfo {
	display: grid;
}
#tracklist .trackbox .trackartist {
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}
#tracklist .trackbox .trackname {
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}



/*
#trackname {
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}
#trackartist {
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}

'trackbox'>
                    <div class='tracktime'>${time}</div>
                    <div class='trackinfo'>
                        <div class='trackartist'>${trackInfo.artistName}</div>
                        <div class='trackname'>$
*/

#tracklistplayercontrol {
	position: relative;
	display: flex;
	flex-direction: row;
}
#streamseekbarcontainer {
	position: relative;
	flex: 1;
	height: 48px;
	background-color: #000;
	touch-action: none;
	z-index: 10;
}
#streamseekbar {
	position: relative;
	left: calc(50%);
}
#streamseekbarmarker {
	position: absolute;
	width: 1px;
    height: 48px;
    background-color: #fff;
    top: 0;
    left: 50%;
}
#streamseekbartrackname {
	position: absolute;
    padding: 4px 6px;
	width: calc(100% - 22px);
	left: 4px;
	bottom: calc(100% + 4px);
	background-color: #004B32;
    border: 1px solid #011e14;
    border-radius: 10px;
	box-shadow: #000 0px 0px 20px 0px;

	transition: transform 0.3s;
    transform: translateY(calc(100% + 24px));
	z-index: 5;

	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	color: #FFF;
}
#streamseekbartrackname.show {
	transform: none;
}

#tracklistplayerbuttons {
	display: flex;
	background-color: #000;
	z-index: 10;
}
#tracklistplayerbuttons button {
	height: 48px;
	background-repeat: no-repeat !important;
    background-position: center !important;
    background-size: contain !important;
	border: unset;
}
#tracklistbutton_prev {
	width: 52px;
	background: url(/resources/prev.png), linear-gradient(to bottom, #383838, #303030 50%, #202020 50%, #111111);
}
#tracklistbutton_prev:hover {
	background: url(/resources/prev.png), linear-gradient(to bottom, #4b4b4b, #424242 50%, #333333 50%, #202020);
	cursor: pointer;
}
#tracklistbutton_prev:active {
	background: url(/resources/prev.png), linear-gradient(to bottom, #007246, #025338 50%, #003621 50%, #011610);
}

#tracklistbutton_play {
	width: 68px;
	background: url(/resources/playpause.png), linear-gradient(to bottom, #383838, #303030 50%, #202020 50%, #111111);
}
#tracklistbutton_play:hover {
	background: url(/resources/playpause.png), linear-gradient(to bottom, #4b4b4b, #424242 50%, #333333 50%, #202020);
	cursor: pointer;
}
#tracklistbutton_play:active {
	background: url(/resources/playpause.png), linear-gradient(to bottom, #2e2e2e, #1d1d1d 50%, #1b1b1b 50%, #0a0a0a);
}
#tracklistbutton_play.active {
	background: url(/resources/playpause.png), linear-gradient(to bottom, #00804F, #025F40 50%, #004128 50%, #012219);
}
#tracklistbutton_play:hover.active {
	background: url(/resources/playpause.png), linear-gradient(to bottom, #00965c, #02704c 50%, #005534 50%, #023326);
	cursor: pointer;
}
#tracklistbutton_play:active.active {
	background: url(/resources/playpause.png), linear-gradient(to bottom, #007246, #025338 50%, #003621 50%, #011610);
}

#tracklistbutton_next {
	width: 52px;
	background: url(/resources/next.png), linear-gradient(to bottom, #383838, #303030 50%, #202020 50%, #111111);
}
#tracklistbutton_next:hover {
	background: url(/resources/next.png), linear-gradient(to bottom, #4b4b4b, #424242 50%, #333333 50%, #202020);
	cursor: pointer;
}
#tracklistbutton_next:active {
	background: url(/resources/next.png), linear-gradient(to bottom, #007246, #025338 50%, #003621 50%, #011610);
}
@media screen and (max-width: 600px) {
	#tracklistplayercontrol {
		flex-direction: column;
	}
	#streamseekbarcontainer {
		flex: none;
	}
	#tracklistplayerbuttons {
		display: flex;
	}
	#tracklistplayerbuttons button {
		flex: 1;
		width: unset;
	}
}


#streamlist {
	display: flex;
	flex-direction: column;
	width: calc(100vw - 80px);

	margin: 0;
	padding: 10px;
    position: fixed;
    left: -50%;
    top: 50%;
    transform: translate(-50%, -50%);
	transition: left ease-in 0.3s;

	/*backdrop-filter: blur(10px);*/
	/*transition: backdrop-filter 0.5s ease-in-out;*/

	z-index: 20;
}
#streamlist[open] {
	left: 50%;
	transition: left ease-out 0.3s;

	/*backdrop-filter: blur(10px);*/
}
#streamlist::backdrop {
	background: rgba(0, 0, 0, 0.5);
	/*backdrop-filter: blur(0px);
	transition: backdrop-filter 0.5s ease-in-out;*/
}
/*#streamlist[open]::backdrop {
	backdrop-filter: blur(10px);
}*/
#streamlist_content {
	overflow: auto;
}
#streamlist .streambox {
	padding: 5px;
	border: 1px solid #000;
}

/*
<div class='streambox'>
<div class='hostname'>${date} - ${streamInfo.hostName}</div>
<div class='streamname'>

#trackname {
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}
#trackartist {
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}
*/


a {
	color: #000000;
	text-decoration: none;
}
a:hover {
	text-decoration: underline;
}

.linkcontainer {
	margin-top: 20px;
}
.linkimage {
	width: 150px;
}

.hidden {
	display: none;
}

#subscribing {
	background-color: #f88;
}
#subscribing.on {
	background-color: #8f8;
}
